hwclock and Debian:
-A Debian installation will, by default, call hwclock --hctosys during system
-startup and hwclock --systohc during system shutdown.
+When udev is running, hwclock -systz will be called when the RTC clock
+device is created. When udev is not running, hwclock --hctosys will be
+called during system startup.
+
+In both cases, hwclock --systohc will be called during system shutdown.
To set the date/time of the system, just use the standard UNIX date facilities
(such as date) or any of the advanced timekeeping utilities (ntp, ntpdate,
ifeq ($(DEB_HOST_ARCH_OS),linux)
CONFOPTS += --with-selinux
endif
-ifneq ($(DISTRO),Debian)
-CONFOPTS += --with-fsprobe=volume_id
-endif
build: build-stamp
build-stamp:
-e '/Default-Start:/a# Default-Stop:' -e '/Default-Stop:/d' \
debian/util-linux/etc/init.d/hwclockfirst.sh; \
fi
-ifneq ($(DISTRO),Debian)
if [ -f debian/util-linux/sbin/hwclock ] ; then \
install -m 644 debian/hwclock.rules debian/util-linux/lib/udev/rules.d/85-hwclock.rules; \
fi
-endif
cd debian; if [ -f util-linux/sbin/fdisk ]; then \
ln util-linux/sbin/*fdisk fdisk-udeb/usr/sbin/; \
S=fdisk-udeb/usr/sbin/cfdisk; if [ -f $$S ]; then mv $$S cfdisk-udeb/usr/sbin/; fi; \
sbin/
etc/
etc/init.d/
-etc/udev/
-etc/udev/rules.d/
usr/
usr/bin/
usr/sbin/
usr/share/lintian/overrides/
lib/
lib/udev/
+lib/udev/rules.d/
--- /dev/null
+#! /bin/sh
+
+set -e
+
+if [ "$1" = install ] || [ "$1" = upgrade ]; then
+ if [ -e "/etc/udev/rules.d/85-hwclock.rules" ]; then
+ if [ "`md5sum \"/etc/udev/rules.d/85-hwclock.rules\" | sed -e \"s/ .*//\"`" = \
+ "`dpkg-query -W -f='${Conffiles}' util-linux | sed -n -e \"\\\\' /etc/udev/rules.d/85-hwclock.rules's/.* //p\"`" ]
+ then
+ rm -f "/etc/udev/rules.d/85-hwclock.rules"
+ fi
+ fi
+fi
+
+#DEBHELPER#